QGIS Application - Bug report #8754
Wrong request URL while adding WMS layer
2013-10-02 09:39 PM - Basil Titovchenko

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.0.1 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17464
Description

I've added new WMS connection to our WMS server http://wms.map.vl.ru/service.

screenshoti1.png

After connection we can see the list of available layers:

screenshot2.png

Let's add first selected layer - mapviru:

screenshot3.png

By the way, can you set up default image encoding to PNG, not GIF? Thank you!
I've got error:

Map request failed [error:Error downloading

http://wms.map.vl.ru/mapproxy/service?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=-180,-85.05112
77979999553,180,85.05112877979999553&#38;SRS=EPSG:4326&#38;WIDTH=1217&#38;HEIGHT=575&#38;LAYERS=mapviru&#39

;STYL

8;STYLES=8&#38;FORMAT=image/png&#38;DP1=72&#38;MAP_RESOLUTION=72&#38,;FORMAT_OPTIONS=dpi:72&#38; TRANSPAR

RENT="

RENT=TRUE - server replied: Not Found
url:http://wms.map.vl.ru/mapproxy/service?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=-180,-85.051128779799995
553,180,85.05112877979999553&SRS=EPSG:4326&WIDTH=1217&HEIGHT=575&LAYERS=mapviru&STYLES=&FORMAT=image/p
ng&DPI=72&MAP_RESOLUTION=72& FORMAT_OPTIONS=dpi:72& TRANSPARENT=TRUE]

screenshot4.png

So my question is: why you are adding /mapproxy/ to request URL? My MapProxy service don't support such request and | don't know
why it should.

(See screenshots)
History

#1 - 2013-10-03 12:55 PM - Jukka Rahkonen
My bet is that your server is advertising that GetMap URL in its GetCapabilities. Check the "Ignore GetMap URI reported in capabilities" box and you

should be fine. Of course the best thing to do is to correct that on your MapProxy config but | am not sure how it is done. If | remember right
.../mapproxy/service? is the URL what you get when MapProxy is installed with the defaults.
#2 - 2013-10-03 04:36 PM - Basil Titovchenko

jratike80 - wrote:

My bet is that your server is advertising that GetMap URL in its GetCapabilities. Check the "Ignore GetMap URI reported in capabilities" box and you

should be fine.

Thank you, it works. Will search for an corresponding option in MapProxy configuration.

#3 - 2013-10-03 04:41 PM - Basil Titovchenko
- Status changed from Open to Closed

Problem was solved by ignoring information returned by GetCapabilities request.

#4 - 2013-10-04 02:37 AM - Giovanni Manghi
- Resolution set to invalid
